summaryrefslogtreecommitdiff
path: root/dev-python/line-profiler
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/line-profiler
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/line-profiler')
-rw-r--r--dev-python/line-profiler/Manifest1
-rw-r--r--dev-python/line-profiler/line-profiler-5.0.2.ebuild54
-rw-r--r--dev-python/line-profiler/metadata.xml18
3 files changed, 73 insertions, 0 deletions
diff --git a/dev-python/line-profiler/Manifest b/dev-python/line-profiler/Manifest
new file mode 100644
index 000000000000..4b17af0d628d
--- /dev/null
+++ b/dev-python/line-profiler/Manifest
@@ -0,0 +1 @@
+DIST line_profiler-5.0.2.gh.tar.gz 222335 BLAKE2B 4b5d890de6bb2172550adae338a8cdb62ebbd6afb16bd0d53fed198bd1ba3fdbf7231e236910960af47838f9034fbcc7de109f869ba83edb763531b89f889171 SHA512 1283c37667e34014efd4660285de849ef2059889033f998c4a360db9740c355d740e81309b500ee0f642939f511a8d8d4c4b58e2c043b128294b0733d74a170d
diff --git a/dev-python/line-profiler/line-profiler-5.0.2.ebuild b/dev-python/line-profiler/line-profiler-5.0.2.ebuild
new file mode 100644
index 000000000000..0f2331c1388c
--- /dev/null
+++ b/dev-python/line-profiler/line-profiler-5.0.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=line_profiler-${PV}
+DESCRIPTION="Line-by-line profiler"
+HOMEPAGE="
+ https://github.com/pyutils/line_profiler/
+ https://pypi.org/project/line-profiler/
+"
+SRC_URI="
+ https://github.com/pyutils/line_profiler/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+# NB: while building the C extension is optional for some reason, it is
+# unconditionally required at runtime.
+
+RDEPEND="
+ dev-python/ipython[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/ubelt[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export LINE_PROFILER_BUILD_METHOD=cython
+
+EPYTEST_IGNORE=(
+ # Internet (isolated builds)
+ test_cython.py
+)
+
+python_test() {
+ cd tests || die
+ epytest
+}
diff --git a/dev-python/line-profiler/metadata.xml b/dev-python/line-profiler/metadata.xml
new file mode 100644
index 000000000000..169a13555ba6
--- /dev/null
+++ b/dev-python/line-profiler/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <longdescription>
+ line_profiler is a module for doing line-by-line profiling of
+ functions. kernprof is a convenient script for running either
+ line_profiler or the Python standard library's cProfile or profile
+ modules, depending on what is available.
+ </longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>